#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

Summary:	Fast hash functions for strings
Name:		cityhash
Version:	1.1.0
Release:	1
License:	MIT
Group:		Libraries
URL:		http://code.google.com/p/cityhash
Source0:	http://cityhash.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	e591cfb40db0f71f39c73988cefdc14f
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CityHash provides hash functions for strings. The functions mix the
input bits thoroughly but are not suitable for cryptography.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/libcityhash.so.*.*.*
%ghost %{_libdir}/libcityhash.so.0

%files devel
%defattr(644,root,root,755)
%{_includedir}/city.h
%{_libdir}/libcityhash.so
%{_libdir}/libcityhash.la

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcityhash.a
%endif
%changelog
* Fri Mar 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cityhash.git;a=log;h=master

* Fri Mar 01 2013 Elan Ruusamäe <glen@delfi.ee> a7e00a5
up to 1.1.0

* Fri Mar 01 2013 Elan Ruusamäe <glen@delfi.ee> d6ffcb3
new, version 1.0.3

